Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.search.backend
Enum WorkType

    java.lang.Object
      java.lang.Enum<WorkType>
          org.hibernate.search.backend.WorkType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WorkType>

    public enum WorkType

extends java.lang.Enum<WorkType>

Enumeration of the different types of Lucene work. This enumeration is used to specify the type of index operation to be executed.

Author:
  Emmanuel Bernard, Hardy Ferentschik, John Griffin

Enum Constant Summary
`ADD`
`COLLECTION`
`DELETE`
`INDEX` This type is used for batch indexing.
`PURGE` Used to remove a specific instance of a class from an index.
`PURGE_ALL` Used to remove all instances of a class from an index.
`UPDATE`

Method Summary
`boolean` | `searchForContainers()` When references are changed, either null or another one, we expect dirty checking to be triggered (both sides have to be updated) When the internal object is changed, we apply the {Add|Update}Work on containedIns
`static WorkType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WorkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final WorkType ADD

### UPDATE

    public static final WorkType UPDATE

### DELETE

    public static final WorkType DELETE

### COLLECTION

    public static final WorkType COLLECTION

### PURGE

    public static final WorkType PURGE

  Used to remove a specific instance of a class from an index.

### PURGE_ALL

    public static final WorkType PURGE_ALL

  Used to remove all instances of a class from an index.

### INDEX

    public static final WorkType INDEX

  This type is used for batch indexing.

Method Detail

### values

    public static WorkType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WorkType c : WorkType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WorkType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### searchForContainers

    public boolean searchForContainers()

  When references are changed, either null or another one, we expect dirty checking to be triggered (both sides have to be updated) When the internal object is changed, we apply the {Add|Update}Work on containedIns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.